## org.apache.jasper.runtime
Interface ResourceInjector

    public interface ResourceInjector

Interface for injecting injectable resources into tag handler instances.

Author:
  Jan Luehe

Method Summary
`void` `inject(JspTag handler)` Injects the injectable resources from the component environment associated with this ResourceInjector into the given tag handler instance.
`void` `setContext(ServletContext servletContext)` Associates this ResourceInjector with the component environment of the given servlet context.

Method Detail

### setContext

    void setContext(ServletContext servletContext)

  Associates this ResourceInjector with the component environment of the given servlet context.

  Parameters:
    `servletContext` - The servlet context

### inject

    void inject(JspTag handler)
                throws Exception

  Injects the injectable resources from the component environment associated with this ResourceInjector into the given tag handler instance.

  Parameters:
    `handler` - The tag handler instance to be injected
  Throws:
    `Exception` - if an error occurs during injection

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.